Module | RbConfig
In: | lib/standard/facets/rbconfig.rb

An extended rendition of the Ruby‘s standard RbConfig module.

### Methods

bsd? datadir host_os inspect linux? mac? method_missing posix? solaris? symbian? windows?

### Public Class methods

datadir(package_name)

Return the path to the data directory associated with the given library/package name. Normally this is just

      "#{Config::CONFIG['datadir']}/#{name}"

but may be modified by tools like RubyGems to handle versioned data directories.

host_os()
inspect()
method_missing(s,*a,&b)

Methodized lookup of config.

### Public Instance methods

bsd?()
linux?()
mac?()
posix?()
solaris?()
symbian?()

TODO: who knows what symbian returns?

windows?()

[Validate]